summaryrefslogtreecommitdiff
path: root/tests/rm/i-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/i-1')
-rwxr-xr-xtests/rm/i-157
1 files changed, 57 insertions, 0 deletions
diff --git a/tests/rm/i-1 b/tests/rm/i-1
new file mode 100755
index 0000000..214292b
--- /dev/null
+++ b/tests/rm/i-1
@@ -0,0 +1,57 @@
+#!/bin/sh
+# Test "rm -i".
+
+# Copyright (C) 1997, 1998, 2002, 2004, 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+test=i-1
+
+if test "$VERBOSE" = yes; then
+ set -x
+ rm --version
+fi
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$
+trap 'status=$?; cd "$pwd" && rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+test_failure=0
+mkdir -p $tmp || test_failure=1
+echo > $tmp/a || test_failure=1
+test -f $tmp/a || test_failure=1
+
+if test $test_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+echo y > $tmp/$test.Iy
+echo n > $tmp/$test.In
+
+fail=0
+rm -i $tmp/a < $tmp/$test.In > /dev/null 2>&1 || fail=1
+# The file should not have been removed.
+test -f $tmp/a || fail=1
+
+rm -i $tmp/a < $tmp/$test.Iy > /dev/null 2>&1 || fail=1
+# The file should have been removed this time.
+test -f $tmp/a && fail=1
+
+rm -rf $tmp
+
+(exit $fail); exit $fail